Subject: Re: [PATCH 0/2] pack-write,repack: prevent opening packs too early

From: Taylor Blau <[email-masked]>
Date: Wed, 1 Sep 2021 01:12:41 -0400

On Wed, Sep 01, 2021 at 12:59:23AM -0400, Jeff King wrote:
> So anyway. I think we definitely want the index-pack.c change. We
> _could_ stop there and change the read side as a separate series, but I
> think that until we do, the ordering changes on the write side aren't
> really doing that much. They're shrinking the race a little, I guess,
> but it's still very much there.

Yeah, now that I've had a chance to look at it it seems pretty
straightforward. Probably limited to checks in prepare_pack(), and
add_pack_to_midx(), which are the lone two callbacks of
for_each_file_in_pack_dir().

I'll make sure that I'm not missing anything and then send a reroll
tomorrow.

Thanks,
Taylor